
From: NeilBrown <neilb@cse.unsw.edu.au>

Remove unused assignment

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4xdr.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/nfsd/nfs4xdr.c~knfsd-nfsd4-encode_dirent-superfluous-assignment fs/nfsd/nfs4xdr.c
--- 25/fs/nfsd/nfs4xdr.c~knfsd-nfsd4-encode_dirent-superfluous-assignment	2004-11-15 22:07:13.101597256 -0800
+++ 25-akpm/fs/nfsd/nfs4xdr.c	2004-11-15 22:07:13.107596344 -0800
@@ -1814,8 +1814,7 @@ nfsd4_encode_dirent(struct readdir_cd *c
 
 	exp_get(exp);
 	if (d_mountpoint(dentry)) {
-		if ((nfserr = nfsd_cross_mnt(cd->rd_rqstp, &dentry,
-				 &exp))) {
+		if (nfsd_cross_mnt(cd->rd_rqstp, &dentry, &exp)) {
 		/*
 		 * -EAGAIN is the only error returned from
 		 * nfsd_cross_mnt() and it indicates that an
_
